//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 28.05.2025.
//

import SwiftUI

public struct CatalogButton: View {
    
    let title: String
    let action: () -> ()
    
    public init(title: String, action: @escaping () -> Void) {
        self.title = title
        self.action = action
    }
    
    public var body: some View {
        CustomMainButtonView(title: title, size: .chips, disactive: true) {action()}
    }
}

#Preview {
    CatalogButton(title: "Женщинам") {
        
    }
}
